package com.jeeplus.quartz.task.cw;

import com.jeeplus.sys.utils.SpringContextHolder;
import com.jeeplus.test.cw.contractRegistration.service.CwWorkContractBorrowService;
import org.quartz.DisallowConcurrentExecution;
import com.jeeplus.quartz.domain.Task;

/**
 * 财务借用临期提醒通知定时任务
 * @author: 徐滕
 * @version: 2022-12-12 16:13
 */
@DisallowConcurrentExecution
public class CwWorkContractBorrowTask extends Task {

    private CwWorkContractBorrowService cwProjectReportService = SpringContextHolder.getBean(CwWorkContractBorrowService.class);

    @Override
    public void run() {
        cwProjectReportService.getAdventMessageList();
        System.out.println("这是测试任务TestTask。");

    }
}
